# Retrieve user

{% openapi src="/files/HceBJd5Oa9ix2AdHFpf4" path="v1/users/{short\_id}/" method="get" expanded="true" %}
[50skills Journeys API 2.yaml](https://2745779787-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F3Mz58ywsyckDBxRQPsJf%2Fuploads%2Fgit-blob-e4fb17c5b0e22e04724315d184ccee298927525d%2F50skills%20Journeys%20API%202.yaml?alt=media)
{% endopenapi %}

#### Request examples

{% tabs %}
{% tab title="Python" %}

```python
import requests
response = requests.get(
    "https://journeys-api.50skills.app/v1/users/eJzQLAKm/",
)
print(response.json())                 
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
fetch("https://journeys-api.50skills.app/v1/users/eJzQLAKm/")
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error(error));                   
```

{% endtab %}
{% endtabs %}

#### Response samples

{% tabs %}
{% tab title="200 " %}
{% code overflow="wrap" %}

```json
{
	"id": "eJzQLAKm",
	"shortId": "eJzQLAKm",
	"name": "Samwise Gamgee",
	"email": "samwise@50skills.com",
	"phone": null,
	"isActive": true,
	"role": "user",
	"picture": null,
	"hasSetPassword": false,
	"isMe": false,
	"status": "created"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.50skills.app/journeys/api-reference/undefined-6/retrieve-user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
